=== debian/control ===
Source: ros-eloquent-nav2-planner
Section: misc
Priority: optional
Maintainer: Steve Macenski <stevenmacenski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-builtin-interfaces, ros-eloquent-geometry-msgs, ros-eloquent-nav-msgs, ros-eloquent-nav2-common, ros-eloquent-nav2-core, ros-eloquent-nav2-costmap-2d, ros-eloquent-nav2-msgs, ros-eloquent-nav2-util, ros-eloquent-pluginlib, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-lifecycle, ros-eloquent-tf2-ros, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-nav2-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-builtin-interfaces, ros-eloquent-geometry-msgs, ros-eloquent-nav-msgs, ros-eloquent-nav2-common, ros-eloquent-nav2-core, ros-eloquent-nav2-costmap-2d, ros-eloquent-nav2-msgs, ros-eloquent-nav2-util, ros-eloquent-pluginlib, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-lifecycle, ros-eloquent-tf2-ros, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Description: TODO
